AdminDistributedSystemFactory (Apache Geode 1.15.4)

org.apache.geode.admin

## Class AdminDistributedSystemFactory

- java.lang.Object
- - org.apache.geode.admin.AdminDistributedSystemFactory

- Deprecated.
  as of 7.0 use the `management` package instead

      @Deprecated
      public class AdminDistributedSystemFactory
      extends Object

  Factory for creating GemFire administration entities.
  Since:
    GemFire 3.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminDistributedSystemFactory()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `bindToAddress(String bindAddress)` Deprecated. Use `DistributedSystemConfig.setBindAddress(java.lang.String)` instead.
    `static DistributedSystemConfig` | `defineDistributedSystem()` Deprecated. Defines a "default" distributed system configuration based on VM system properties and the content of `gemfire.properties`.
    `static DistributedSystemConfig` | `defineDistributedSystem(DistributedSystem system, String remoteCommand)` Deprecated. Defines a distributed system configuration for administering the distributed system to which this VM is currently connected.
    `static AdminDistributedSystem` | `getDistributedSystem(DistributedSystemConfig config)` Deprecated. Returns the distributed system for administrative monitoring and managing.
    `static LogWriter` | `getLogWriter()` Deprecated. Returns a default GemFire LogWriterI18n for logging.
    `static void` | `setEnableAdministrationOnly(boolean adminOnly)` Deprecated. Call this method with a value of `true` to dedicate the VM to GemFire administration only.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminDistributedSystemFactory

          public AdminDistributedSystemFactory()

      Deprecated.

  - ### Method Detail

    - #### bindToAddress

          @Deprecated
          public static void bindToAddress(String bindAddress)

      Deprecated. Use `DistributedSystemConfig.setBindAddress(java.lang.String)` instead.
      Sets the address this VM should bind to when connecting to the distributed system. This involves a system property, so using this option will limit all connections to distributed systems to this one network interface.

      Using a null or empty bindAddress will clear the usage of this option and connections to distributed systems will return to using all available network interfaces.

      This method always throws UnsupportedOperationException because it is now deprecated and is unsafe to use. Please use `DistributedSystemConfig.setBindAddress(java.lang.String)` instead.

      Parameters:
        `bindAddress` - machine name or IP address to bind to
      Throws:
        `UnsupportedOperationException` - because of deprecation

    - #### defineDistributedSystem

          public static DistributedSystemConfig defineDistributedSystem()

      Deprecated.
      Defines a "default" distributed system configuration based on VM system properties and the content of `gemfire.properties`. The DistributedSystemConfig.DEFAULT_REMOTE_COMMAND default remote command is used.
      Returns:
        a "default" distributed system configuration based on VM system properties and the content of `gemfire.properties`
      See Also:
        `DistributedSystem.connect(java.util.Properties)`

    - #### setEnableAdministrationOnly

          public static void setEnableAdministrationOnly(boolean adminOnly)

      Deprecated.
      Call this method with a value of `true` to dedicate the VM to GemFire administration only. Default is `false`.

      This method must be called before calling `AdminDistributedSystem.connect()`. It must also be called before `DistributedSystem.connect(java.util.Properties)` is when creating a colocated distributed system.

      Once it has been enabled be careful to only use GemFire APIs from the `org.apache.geode.admin` package. In particular do not create a `Cache` or a normal `DistributedSystem`.

      Parameters:
        `adminOnly` - `true` if this VM should be limited to administration APIs; `false` if this VM should allow all GemFire APIs.
      Throws:
        `IllegalStateException` - if a `DistributedSystem` or `AdminDistributedSystem` connection already exists.
      Since:
        GemFire 5.7

    - #### defineDistributedSystem

          public static DistributedSystemConfig defineDistributedSystem(DistributedSystem system,
                                                                        String remoteCommand)
                                                                 throws AdminException

      Deprecated.
      Defines a distributed system configuration for administering the distributed system to which this VM is currently connected. The `DistributedSystem` is used to configure the discovery mechanism (multicast or locators), bind address, SSL attributes, as well as the logger of the `DistributedSystemConfig`. Note that the distributed system will not be able to be administered until the `connect` method is invoked.
      Parameters:
        `system` - A connection to the distributed system
        `remoteCommand` - The shell command that is used to launch processes that run on remote machines. If `null`, then the default will be used.
      Returns:
        a distributed system configuration for administering the distributed system to which this VM is currently connected
      Throws:
        `AdminException` - is an exception is encountered
      Since:
        GemFire 4.0

    - #### getDistributedSystem

          public static AdminDistributedSystem getDistributedSystem(DistributedSystemConfig config)

      Deprecated.
      Returns the distributed system for administrative monitoring and managing. You must then call `AdminDistributedSystem.connect()` before interacting with the actual system.
      Parameters:
        `config` - configuration definition of the system to administer
      Returns:
        administrative interface for a distributed system

    - #### getLogWriter

          public static LogWriter getLogWriter()

      Deprecated.
      Returns a default GemFire LogWriterI18n for logging. This LogWriterI18n will log to standard out.
      Returns:
        a GemFire LogWriterI18n for logging